# Class: c3.Polar.Layer.Radial

Defined in: | js/c3-polar.coffee
Inherits: | c3.Polar.Layer

## Overview

TODO: Add arrowheads or dots at vector ends if requested.
TODO: Add text labels if requested.

Layer of radial lines

### Author:

- Douglas Armstrong

## Variables Summary

version =

      0.1

type =

      'radial'

key =

      undefined

  [Function] Accessor function to define a unique key for each data element.

value =

      undefined

  [Function] Accessor to get the value of the data element used for the vector angle. Defaults to the identity function.

filter =

      undefined

  [Function] Accessor to determine if data elements are filtered in or not.

inner_radius =

      0

  [Number, Function] Inner radius of the vector

outer_radius =

      2e308

  [Number, Function] Outer radius of the vector. You may use the numeric value `Infinity`.

vector_options =

      undefined

  [c3.Selection.Options] Options for the svg:g of the vector group nodes. There is one node per data element. Use this option for animating line movement.

line_options =

      undefined

  [c3.Selection.Options] Options for the svg:line lines.

### Variable inherited from c3.Polar.Layer

version type _next_uid data name class r t options handlers restyle

## Instance Method Summary

- # (void) _init()
- # (void) _update(origin)
- # (void) _draw(origin) Bound
- # (void) _style(style_new)

## Inherited Method Summary

### Methods inherited from c3.Polar.Layer

#init #_init #size #_size #update #_update #draw #_draw #style #_style #redraw #toPolar

## Instance Method Details

# (void) _init()

# (void) _update(origin)

# (void) _draw(origin) Bound

# (void) _style(style_new)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input